@charset "UTF-8";


body {
    background-color: var(--clr-bg-100);
}

img {
    display: block;
    height: auto;
    max-width: 100%;
}

/* UTILITY */
.wrapper {
    width: 100%;
    max-width: calc(var(--content-max-width) + (var(--padding-side) * 2) );
    margin-inline: auto;
    padding-inline: var(--padding-side);
}

.stack {
    display: grid;
    grid-template-areas: 'stack';
    align-items: start;
}

.stack > * { grid-area: stack; }
.stack__background img {
    width: 100%;
}

.main-heading {
    color: var(--clr-font-100);
    font-size: clamp(34px, 1rem + 4.5vw, 64px);
    font-weight: 400;
    line-height: 1.2;
    letter-spacing: 0.84px;
    text-shadow: 0 4px 6px rgba(0, 0, 0, 0.4);

    margin-bottom: 0.5rem;
}

.main-heading > span {
    color: var(--clr-accent-2);
    font-weight: 700;
    display: block;
}

.secondary-heading {
    color: var(--clr-font-600);
    font-size: clamp(32px, 0.9rem + 3vw, 56px);
    font-weight: 700;
    line-height: 1.3;
    letter-spacing: 0.44px;
    margin-bottom: 0.6rem;
}

.tertiary-heading {
    color: var(--clr-font-600);
    font-size: clamp(32px, 0.9rem + 3vw, 48px);
    font-weight: 700;
    line-height: 1.1;
    letter-spacing: 0.44px;
    margin-bottom: 1rem;
}

.text-content {
    color: var(--clr-font-600);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.8;
    margin-bottom: 0.25rem;
}

.text-content--light {
    color: var(--clr-font-100);
    text-shadow: 0 3px 1px rgba(0, 0, 0, 0.3);
}


.button {
    color: var(--btn-text, #FFF);
    font-size: clamp(16px, 0.5rem + 0.9vw, 20px);
    font-weight: 700;
    display: inline-block;
    letter-spacing: 0.44px;
    padding: 0.75rem 1.4rem;
    margin-top: 1rem;

    background: var(--btn-bg-primary, #272727);
    border-radius: 25px;
    box-shadow: 0px 8px 12px rgba(0, 0, 0, 0.3);
    cursor: pointer;
    transition: 150ms ease-out;
}

.button:hover {
    background: var(--btn-bg-secondary, #383737);
    transform: translateY(-2px);
}

.button--assine {
    --btn-text: var(--clr-font-500);
    --btn-bg-primary: var(--clr-bg-100);
    --btn-bg-secondary: #f5f2f2;
}


/* GENERAL */
.hero__img {
    max-height: 660px;
    min-height: 430px;
    object-fit: cover;
}

.hero__text {
    padding-block: 2rem;
    width: clamp(170px, 45%, 480px);
}

.hero__text p {
    display: none;
}

.swiper-pagination1 {
    --swiper-pagination-bullet-size: 22px;
    --swiper-pagination-color: var(--clr-accent-1);
    --swiper-pagination-bullet-inactive-color:#ffffff91;
    --swiper-pagination-bullet-inactive-opacity: 0.9;
    --swiper-pagination-bullet-opacity: 1;
    --swiper-pagination-bullet-horizontal-gap: 5px;

    margin-bottom: 1.25rem;
}


/* SECTION Beneficios */
.beneficios {
    padding-block: 1.5rem 2.5rem;
}

.beneficios__img {
    display: grid;
    justify-content: center;
}

.beneficios__content {
    margin-top: 1.5rem;
}

.beneficios__ul {
    margin-block: 1.5rem;
}

.beneficios__ul li::before {
    content: "";
    position: relative;
    top: 12px;
    left: -5px;

    background: no-repeat url(../img/buttons/list-mobile-1x.png);
    background-size: 2rem;
    height: 2rem;
    width: 2rem;
}

.list-item {
    display: grid;
    grid-template-columns: auto 1fr;
    margin-bottom: 1rem;
    position: relative;
}

.list-item__inner {
    padding-left: 0.5rem;
}

.list-item__heading {
    color: var(--clr-font-600);
    font-size: clamp(20px, 0.5rem + 1vw, 24px);
    font-weight: 700;
    line-height: 2;
    letter-spacing: 0.44px;
}

.list-item__inner p {
    color: var(--clr-font-600);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
}

.cta-saiba-mais {
    padding-top: 1rem;
    padding-left: 0.25rem;
}

.cta-saiba-mais a {
    display: inline-block;
    color: var(--clr-font-600);
    font-size: 1.125rem;
    font-size: 1rem;
    font-weight: 700;
    transition: transform .25s ease-out;
}
.cta-saiba-mais a i {
    padding-left: .35rem;
    font-size: 1rem;
    transition: transform .25s ease-out;
}

.cta-saiba-mais a:hover {
    transform: translate(2px, 0px);
    color: var(--clr-font-300);
}


.section-banners {
    position: relative;
}

.banners__bg {
    max-height: 630px;
    min-height: 520px;
    object-fit: cover;
}

.banners__inner {
    align-self: end;
    padding-block: 1rem 5rem;
}

.banner-text-logo {
    display: grid;
    gap: 1.5rem;
}
.banner-text-logo img {
    max-width: 96px;
}

.banners__text {
    max-width: 560px;
}

.banners__text h2 {
    color: var(--clr-font-100);
    font-size: clamp(28px, 0.5rem + 4vw, 64px);
    font-weight: 700;
    line-height: 1.2;
    text-shadow: 0 3px 5px rgba(0, 0, 0, 0.3);

    margin-bottom: 1rem;
}

.banners__text--small h2 {
    font-size: clamp(28px, 0.5rem + 3.9vw, 56px);
}

.banners__text p {
    color: var(--clr-font-100);
    font-size: clamp(16px, 0.5rem + 0.8vw, 20px);
    font-weight: 400;
    line-height: 1.6;
}

.btn-slider-wrapper {
    width: 100%;
    position: relative;
}

.btn-prev,
.btn-next {
    background-size: 40px;
    position: absolute;
    height: 40px;
    width: 40px;
    bottom: 20px;
    z-index: 1;
}

.btn-prev:hover,
.btn-next:hover {
    opacity: 0.92;
}

.btn-prev1 {
    background: url(../img/buttons/previous-white.svg);
    right: 68px;
}
.btn-next1 {
    background: url(../img/buttons/next-white.svg);
    right: 20px;
}

.btn-prev2 {
    background: url(../img/buttons/previous-black.svg);
    right: 68px;
}
.btn-next2 {
    background: url(../img/buttons/next-black.svg);
    right: 20px;
}


.featured-service__text {
    max-width: 440px;
    padding-top: 3rem;
}

.featured-service__text h3 {
    color: var(--clr-font-600);
    font-size: clamp(20px, 0.5rem + 1.15vw, 24px);
    font-weight: 400;
    line-height: 1.4;

    margin-block: 0.5rem 1rem;
}

.featured-service__text .cta-saiba-mais {
    padding-top: 2rem;
    padding-left: 0;
}

/* SECTION SUPPORT */
.support__background img {
    width: 100%;
}

.support__heading {
    align-self: flex-end;
    margin-bottom: calc(0.1rem + 7vw);
}
.support__heading h2 {
    color: var(--clr-font-100);
    font-size: clamp(32px, 0.9rem + 4.5vw, 56px);
    font-weight: 700;
    line-height: 1.3;
    letter-spacing: 0.44px;
    margin-bottom: 0.6rem;
    text-shadow: 0 4px 6px rgba(0, 0, 0, 0.4);
}

.support__heading--desktop {
    display: none;
    margin-bottom: 1.2rem;
}
.support__heading--desktop h2 {
    color: var(--clr-font-600);
    line-height: 1.2;
    text-shadow: none;
}

.support__text {
    margin-block: 1rem 1.5rem;
}

.support__text p {
    padding-right: 0.5rem;
}

.support__img {
    display: none;
}

/* ACCORDION */
.duvidas {
    max-width: 1100px;
    padding-bottom: 4rem;
}

.accordion {
    color: var(--clr-font-600);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.7;
    text-align: left;

    border-bottom: 1px solid var(--clr-bg-500);
    border-radius: 5px;
    cursor: pointer;
    padding-block: 1.5rem;
    padding-right: 1.7rem;
    position: relative;
    width: 100%;
    transition: 0.3s ease-out;
}

.acc-active,
.accordion:focus-visible {
    background-color: hsl(200, 20%, 87%);
    padding-left: 1rem;
}

.accordion:after {
    content: '\002B';
    font-size: 1.5rem;
    font-weight: 500;
    color: var(--clr-font-600);

    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 10px;
}

.acc-active:after {
    content: "\2212";
}

.panel {
    padding: 0 1rem;
    background-color: white;
    height: 100%;
    max-height: 0;
    line-height: 1.7;
    overflow: hidden;
    transition: all 0.25s ease-out;
}

.panel p {
    padding-block: 2rem;
}


@media (max-width: 349px) {
    .swiper-pagination1 {
        margin-bottom: 0rem;
    }

    .banners__bg {
        min-height: 520px;
    }
}

@media (min-width: 748px) {
    .main-heading {
        font-size: clamp(34px, 1rem + 3.6vw, 64px);
        font-weight: 300;
    }

    .button {
        padding: 0.6rem 1.8rem;
    }

    .hero__text {
        width: clamp(156px, 50%, 480px);
    }

    .swiper-pagination1 {
        --swiper-pagination-bullet-size: 16px;
        --swiper-pagination-bullet-horizontal-gap: 4px;
    }

    .beneficios {
        padding-block: 3rem;
    }

    .beneficios__content {
        margin-top: 2.5rem;
    }

    .banners__bg {
        object-fit: none;
        height: 680px;
        max-height: none;
    }
    .banners__bg--svg {
        height: 640px;
    }

    .banner-text-logo img {
        max-width: 120px;
    }

    .banners__text {
        max-width: 640px;
    }

    .banners__text p {
        width: 92%;
    }

    .featured-service__text {
        max-width: 510px;
    }

    .featured-service__text h3 {
        margin-block: 1rem 1rem;
    }

    .featured-service__text p {
        max-width: 460px;
    }

    .support__text {
        margin-block: 2rem 2rem;
    }

    .accordion:hover {
        background-color: hsl(200, 20%, 87%);
        padding-left: 1rem;
    }
}

@media (min-width: 920px) {
    .hero__text p {
        display: block;
    }

    .beneficios {
        display: grid;
        grid-template-columns: 1.1fr 1fr;
        gap: 4rem;
    }

    .beneficios__img {
        justify-content: start;
    }

    .beneficios__content {
        margin-top: 0;
    }

    .beneficios__ul li::before {
        top: 5px;
        background: no-repeat url(../img/buttons/list-desktop-1x.png);
        background-size: 63px 72px;
        width: 63px;
        height: 72px;
    }

    .list-item  {
        margin-bottom: 2rem;
    }

    .list-item__inner {
        padding-left: 1rem;
    }


    .section-support {
        display: grid;
        padding-bottom: 5rem;
        position: relative;
        grid-template-areas:
         ". text acc ."
         ". text acc ."
         "img img acc .";
        grid-template-columns:
            [split-start] minmax(var(--padding-side), 1fr)
            minmax(0, calc(var(--content-max-width) / 2)) [split-end]
            minmax(0, calc(var(--content-max-width) / 2))
            minmax(var(--padding-side), 1fr);

        grid-template-rows: 1fr auto 1fr;
    }

    .section-support .stack { display: none; }
    .support__heading--desktop { display: block; }

    .support__desktop-text {
        padding-top: 2rem;
        padding-left: 0;
    }

    .support__img {
        display: block;
        margin-right: 1.5rem;
        position: absolute;
        top: 450px;
    }

    .support__img img {
        border-radius: 0 20px 20px 0;
        max-height: 530px;
        object-fit: cover;
    }

    .section-support .support__img {
        grid-column: 1/3;
        grid-column: split;
    }

    .support__desktop-text {
        grid-area: text;
    }

    .support__accordion {
        grid-area: acc;
        padding-top: 6rem;
    }

    .duvidas {
        padding-bottom: 0;
    }
}

@media (min-width: 1024px) {
    .text-content {
        font-size: 0.89rem;
    }

    .hero__text {
        padding-block: 2rem 1.5rem;
    }

    .beneficios__text h2 {
        max-width: 285px;
    }

    .beneficios__ul {
        margin-block: 2.5rem 1rem;
    }


    .banner-text-logo {
        display: grid;
        gap: 3rem;
        grid-template-columns: auto 1fr;

    }
    .banner-text-logo img {
        max-width: 240px;
    }

    .banners__text {
        max-width: 880px;
        padding-left: 5rem;
    }

    .banner-text-logo .banners__text {
        padding-left: 0;
    }

    .featured-service__text {
        max-width: 600px;
    }

    .featured-service__text h3 {
        margin-block: 1.2rem 1.2rem;
    }

    .support__desktop-text {
        gap: 0 3rem;
    }
}

@media (min-width: 1200px) {
    .main-heading {
        margin-bottom: 1.5rem;
    }

    .button--assine {
        margin-top: 1.5rem;
    }

    .hero__text {
        padding-block: 4rem 1.5rem;
    }

    .hero__img {
        max-height: 720px;
    }

    .beneficios {
        padding-block: 4rem;
        grid-template-columns: 1.2fr 1fr;
    }

    .banners__inner {
        padding-block: 1rem 7rem;
    }

    .btn-prev,
    .btn-next {
        bottom: 40px;
    }

    .featured-service__text {
        max-width: 670px;
        padding-top: 5.5rem;
    }

    .section-support {
        padding-bottom: 8rem;
    }
    .support__img {
        top: 420px;
        margin-right: 2.5rem;
    }

    .support__desktop-text {
        padding-top: 3rem;
    }

    .support__accordion {
        padding-top: 8rem;
    }
}

@media (min-width: 1420px) {
    .banners__bg {
        height: 800px;
        object-fit: cover;
    }

    .banners__bg--svg {
        height: 740px;
        object-fit: none;
    }

    .banners__inner {
        padding-block: 1rem 9rem;
    }

    .section-support {
        padding-bottom: 12rem;
    }

    .support__img {
        top: 270px;
    }
}

@media (min-width: 1600px) {
    .section-support {
        padding-bottom: 16rem;
    }

    .support__img {
        margin-right: 3.5rem;
    }
}

@media (min-width: 2000px) {
    .hero__img {
        max-height: 850px;
    }

    .section-support {
        padding-bottom: 10rem;
    }

    .support__img {
        margin-right: 2rem;
    }

    .section-support .support__img {
        grid-column: 2/3;
    }
}